Summary:	X.org video driver for Chips and Technologies video processors
Summary(pl.UTF-8):	Sterownik obrazu X.org do układów graficznych Chips and Technologies
Name:		xorg-driver-video-chips
Version:	1.5.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-chips-%{version}.tar.xz
# Source0-md5:	ecd6e9c98d57f1b866bbd3a11a42cf9b
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:	xz
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-chips < 1:7.0.0
Obsoletes:	XFree86-ChipsTechnologies < 4
Obsoletes:	XFree86-driver-chips < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Chips and Technologies video processors. It
supports video processors on most of the bus types currently
available. Supported chipsets fall into one of three architectural
classes:
- basic (ct65520, ct65525, ct65530, ct65535, ct65540, ct65545,
  ct65546, ct65548),
- WinGine (ct64200, ct64300)
- HiQV (ct65550, ct65554, ct65555, ct68554, ct69000, ct96030).

%description -l pl.UTF-8
Sterownik obrazu X.org do układów graficznych Chips and Technologies.
Obsluguje układy graficzne na większości z dostępnych teraz szyn.
Obsługiwane są układy z trzech klas architektur:
- basic (ct65520, ct65525, ct65530, ct65535, ct65540, ct65545,
  ct65546, ct65548),
- WinGine (ct64200, ct64300)
- HiQV (ct65550, ct65554, ct65555, ct68554, ct69000, ct96030).

%prep
%setup -q -n xf86-video-chips-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/chips_drv.so
%{_mandir}/man4/chips.4*
%changelog
* Sun Mar 24 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-chips.git;a=log;h=master

* Sun Mar 24 2024 Jakub Bogusz <qboosh@pld-linux.org> d1d5575
- updated to 1.5.0

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> 8c07fa9
- rebuil with xorg-xserver-server 21.1.0

* Sat Feb 23 2019 Jakub Bogusz <qboosh@pld-linux.org> c8a47b7
- updated to 1.4.0

* Fri Dec 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 1afbb47
- updated to 1.3.0

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> abea93f
- release 2 (by relup.sh)

* Thu Jan 19 2017 Jakub Bogusz <qboosh@pld-linux.org> be472e7
- updated to 1.2.7
- removed obsolete xserver-1.19 patch

* Mon Nov 28 2016 Jan Rękorajski <baggins@pld-linux.org> e58251d
- fix building with xserver 1.19
- rel 4

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 6c0db52
- release 3 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> b5486cc
- release 2 (by relup.sh)

* Wed Sep 30 2015 Jakub Bogusz <qboosh@pld-linux.org> da33ad4
- updated to 1.2.6
- removed obsolete chips-git,build patches

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c78e22
- due to xserver 1.17
- release 8 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> cf3d693
- xserver rebuild
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fb8a605
- xserver rebuild
- release 6 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> f5679ce
- release 5 (by relup.sh)

* Tue Mar 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f24974c
- rel 4; fix build with xserver 1.14

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a82ae29
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6994706
- release 2 (by relup.sh)

* Thu Jul 26 2012 Jakub Bogusz <qboosh@pld-linux.org> b427db1
- updated to 1.2.5
- git patch mostly obsolete; now it contains just one file missing in tarball

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> dfec6ba
- rel 5
- sync with git for new ABI

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f5b0a1
- release 4

